Bug 963734 - GET multiMetricData does not check for negative dataPoints value
GET multiMetricData does not check for negative dataPoints value
Product: RHQ Project
Classification: Other
Component: REST (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: RHQ 4.8
Assigned To: Heiko W. Rupp
Mike Foley
Depends On: 835647
  Show dependency treegraph
Reported: 2013-05-16 09:35 EDT by Libor Zoubek
Modified: 2015-11-01 19:43 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-09-11 05:53:28 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
patch (1.16 KB, patch)
2013-05-29 15:15 EDT, Libor Zoubek
no flags Details | Diff

  None (edit)
Description Libor Zoubek 2013-05-16 09:35:34 EDT
Version-Release number of selected component (if applicable):
RHQ-4.8 master

How reproducible: always

Steps to Reproduce:
1. have a shedule with some metric data
2. do GET /metric/data/?sid=<schedule id>&dataPoints=0

Actual results: you get a lot of dataPoints (default value)

Expected results: server should return 406 response code 

Additional info: server returns 406 when you do GET /metric/data/<scheduleId>?dataPoints=0 so we should be consistent
Comment 1 Libor Zoubek 2013-05-29 15:15:00 EDT
Created attachment 754518 [details]
Comment 2 Heiko W. Rupp 2013-06-05 11:24:45 EDT
addressed in master f14fbc3a29e by removing that query parameter, as internally we can use 60 buckets only at the moment.
Comment 3 Heiko W. Rupp 2013-06-06 07:11:40 EDT
master bfa32dc

We now allow to supply variable number of data points with 60 being the default in various places. This above check has been implemented.
Comment 4 Heiko W. Rupp 2013-09-11 05:53:28 EDT
Bulk closing of old issues now that HRQ 4.9 is in front of the door.

If you think the issue has not been solved, then please open a new bug and mention this one in the description.

Note You need to log in before you can comment on or make changes to this bug.